#!/usr/bin/env python

import requests
from requests.auth import HTTPDigestAuth
import json

def api_client(request):
    url = 'http://127.0.0.1:32768/management'
    auth = HTTPDigestAuth('wildfly', 'wildfly')
    headers = {'content-type': 'application/json'}
    result = requests.post(url,
                           json=request,
                           headers=headers,
                           auth=auth)
    return result


def cli(cmd, output=True):
    request = build(cmd)
    resp = api_client(request)
    if output:
        # Pretty Print the JSON
        formatted = json.dumps(resp.json(), indent=4, sort_keys=True)
        print(formatted)
    return resp


def build(cmd):
    cmd = str(cmd).split(':')
    body = {}
    body['address'] = address(cmd[0])
    body['json.pretty'] = True
    if len(cmd) == 2:
        for k, v in operation(cmd[1]).items():
            body[k] = v
    return dict(body)


def operation(op):
    resp = {}
    op = str(op).split('(', 1)
    resp['operation'] = op[0]
    if len(op) == 1:
        return resp
    params = op[1].replace(')', '').split(',')
    # Remove Empty Elements
    params = list(filter(None, params))
    for x in params:
        x = x.split('=')
        if len(x) == 2:
            resp[x[0]] = x[1]
        else:
            resp[x[0]] = True
    return dict(resp)


def address(addr):
    addr = str(addr).replace('=', '/').split('/')
    # Remove Empty Elements
    return list(filter(None, addr))


cli(':read-resource(recursive)')